Class UmlBaseCallOperationAction

Declaration :

- C++ : class UmlBaseCallOperationAction : public UmlActivityAction
- Java : abstract class UmlBaseCallOperationAction extends UmlActivityAction

Directly inherited by : UmlCallOperationAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new call operation action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlCallOperationAction, exceptions : RuntimeException
- C++ : public: static UmlCallOperationAction * create(UmlItem * parent, const char * s)
- Java : public static UmlCallOperationAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseCallOperationAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseCallOperationAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseCallOperationAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseCallOperationAction(long id, String s)

Operation isSynchronous

return the isSynchronous attribute, if TRUE the caller waits for the completion of the invoked behavior

Declaration :

- Uml : + isSynchronous() : bool
- C++ : public: bool isSynchronous()
- Java : public boolean isSynchronous()

Operation set_isSynchronous

set the isSynchronous attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isSynchronous(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isSynchronous(bool v)
- Java : public void set_isSynchronous(boolean v) throws RuntimeException

Operation operation

return the operation

Declaration :

- Uml : + operation() : UmlOperation
- C++ : public: UmlOperation * operation()
- Java : public UmlOperation operation()

Operation set_Operation

set the operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Operation(in v : UmlOperation) : bool, exceptions : RuntimeException
- C++ : public: bool set_Operation(UmlOperation * v)
- Java : public void set_Operation(UmlOperation v) throws RuntimeException

Attribute _synchronous

Declaration :

- Uml : - _synchronous : bool
- C++ : private: bool _synchronous
- Java : private boolean _synchronous

Relation _operation (<unidirectional association>)

Declaration :

- Uml : - _operation : UmlOperation
- C++ : private: UmlOperation * _operation
- Java : private UmlOperation _operation

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isSynchronous , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , operation , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isSynchronous , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_Operation , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload